# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "ntex-neon"
version = "0.2.0"
authors = ["ntex contributors <team@ntex.rs>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Async runtime for ntex"
documentation = "https://docs.rs/ntex-neon/"
readme = "README.md"
keywords = [
    "async",
    "runtime",
]
categories = ["asynchronous"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ntex-rs/neon"

[package.metadata.docs.rs]
all-features = true
default-target = "x86_64-unknown-linux-gnu"
rustdoc-args = [
    "--cfg",
    "docsrs",
]
targets = [
    "x86_64-pc-windows-gnu",
    "x86_64-unknown-linux-gnu",
    "x86_64-apple-darwin",
    "aarch64-apple-ios",
    "aarch64-linux-android",
    "x86_64-unknown-dragonfly",
    "x86_64-unknown-freebsd",
    "x86_64-unknown-illumos",
    "x86_64-unknown-netbsd",
    "x86_64-unknown-openbsd",
]

[features]
default = []
io-uring = ["dep:io-uring"]
io-uring-compat = []
polling = ["dep:polling"]

[lib]
name = "ntex_neon"
path = "src/lib.rs"

[dependencies.async-task]
version = "4.5"

[dependencies.bitflags]
version = "2"

[dependencies.cfg-if]
version = "1.0"

[dependencies.crossbeam-channel]
version = "0.5.8"

[dependencies.crossbeam-queue]
version = "0.3.8"

[dependencies.foldhash]
version = "0.2"

[dependencies.log]
version = "0.4"

[dependencies.oneshot]
version = "0.1"

[dependencies.scoped-tls]
version = "1.0.1"

[dependencies.swap-buffer-queue]
version = "0.2.1"

[target.'cfg(all(not(target_os = "linux"), unix))'.dependencies.polling]
version = "3.8.0"
package = "ntex-polling"

[target.'cfg(target_os = "linux")'.dependencies.io-uring]
version = "0.7.120"
features = ["direct-syscall"]
optional = true
package = "ntex-io-uring"

[target.'cfg(target_os = "linux")'.dependencies.polling]
version = "3.8.0"
optional = true
package = "ntex-polling"

[target."cfg(unix)".dependencies.libc]
version = "0.2.164"

[target."cfg(unix)".dependencies.polling]
version = "3.8.0"
package = "ntex-polling"

[target."cfg(windows)".dependencies.aligned-array]
version = "1.0.1"

[target."cfg(windows)".dependencies.windows-sys]
version = "0.61.2"
features = [
    "Win32_Foundation",
    "Win32_Networking_WinSock",
    "Win32_Security",
    "Win32_Storage_FileSystem",
    "Win32_System_Console",
    "Win32_System_IO",
    "Win32_System_Pipes",
    "Win32_System_SystemServices",
    "Win32_System_Threading",
    "Win32_System_WindowsProgramming",
]

[target."cfg(windows)".dev-dependencies.windows-sys]
version = "0.61.2"
features = ["Win32_UI_WindowsAndMessaging"]
